<?php
/**
 * Plugin Name: Embed Custom Field
 * Plugin URI: http://wordpress.org/plugins/embed-custom-field/
 * Description: Adds shortcode for including custom field data in posts/pages.
 * Version: 1.0.2
 * Author: Phil Hilton
 * Author URI: http://profiles.wordpress.org/philhilton/
 * License: GPLv2 or later.
 *
 * @package embed-custom-field
 */

	/*
   Copyright 2017  Phil Hilton  (email : philwordpress@umf.maine.edu)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

defined( 'ABSPATH' ) or die( 'kthxbye!' );

/**
 * Handle Embed Custom Field shortcode.
 *
 * First element of $atts to be custom field meta ID. The contents of this custom
 * field, if found, will replace the shortcode in the content.
 *
 * @since 1.0
 *
 * @param array $atts shortcode attributes.
 * @return string The post/page content with Embed Custom Field shortcodes parsed.
 */
function shortcode_embed_custom_field( $atts ) {
	if ( ! isset( $atts[0] ) ) {
		return '';
	}
	global $post;
	$the_content = get_post_meta( $post->ID, esc_attr( $atts[0] ), true );
	return $the_content ? $the_content : '';
}
add_shortcode( 'embed_custom_field', 'shortcode_embed_custom_field' );
